/***************************************************************************/
/* 		This code is part of WWW graber called pavuk		   */
/*		Copyright (c) 1997,1998,1999 Ondrejicka Stefan		   */
/*		(ondrej@idata.sk)					   */
/*		Distributed under GPL 2 or later			   */
/***************************************************************************/

#ifndef _cookie_h_
#define _cookie_h_

#include <time.h>

typedef struct _cookie_entry {
	struct _cookie_entry 	*next;
	struct _cookie_entry	*prev;
	char			*domain;
	char			*path;
	time_t			expires;
	bool			secure;
	bool			flag;
	char			*name;
	char			*value;
	bool			loaded;
} cookie_entry;

extern cookie_entry *cookie_read_ns();
extern int cookie_write_ns();
extern int cookie_update_ns();
extern char *cookie_get_field();
extern void cookie_insert_field();
extern void cookie_free_all();
extern cookie_entry *cookie_get_last_entry();
#endif

