/***************************************************************************/
/* 		This code is part of WWW graber called pavuk		   */
/*		Copyright (c) 1997,1998,1999 Ondrejicka Stefan		   */
/*		(ondrej@idata.sk)					   */
/*		Distributed under GPL 2 or later			   */
/***************************************************************************/

#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <fcntl.h>

#ifdef HAVE_SYS_MODE_H
#include <sys/mode.h>
#endif

#include "config.h"
#include "stdio.h"
#include "file.h"
#include "url.h"

/********************************************************/
/* otvory subor pre dane FILE URL			*/
/********************************************************/
bufio *get_file_data_socket(urld)
url *urld;
{
	bufio *socket;
	struct stat estat;

	if (stat(urld->p.file.filename , &estat) == 0)
	{
		if (S_ISDIR(estat.st_mode))
		{
			xprintf(1 , gettext("Cant' open directory\n"));
			cfg.errcode = ERR_DIR_URL;
			return NULL;
		}
		cfg.totsz = estat.st_size;
	}
	if (!(socket = bufio_open(urld->p.file.filename , O_BINARY | O_RDONLY)))
	{
		cfg.errcode = ERR_FILE_OPEN;
		xperror(urld->p.file.filename);
	}
	return socket;
}
