/***************************************************************************/
/* 	This code is part of X-toolkit widget library called Nws 	   */
/*	Copyright (c) 1997,1998,1999 Ondrejicka Stefan			   */
/*	(ondrej@idata.sk)						   */
/*	Distributed under GPL 2 or later				   */
/***************************************************************************/

#ifndef _misc_h_
#define _misc_h_

#define MAX_PATH_LEN   		2048
#define _DCtimeout		300
#define DefaultIntensity	10000

#if NeedFunctionPrototypes
	extern int cnt_lines(char *);
	extern int max_line_width(char * , XFontStruct *);
	extern char * get_abs_path(char *);
	extern int x_atoi(char *);
#else
	extern int cnt_lines();
	extern int max_line_width();
	extern char * get_abs_path();
	extern int x_atoi();
#endif

#ifndef MAX
#define MAX(x,y) ((x) > (y) ? (x) : (y))
#endif

#ifndef MIN
#define MIN(x,y) ((x) < (y) ? (x) : (y))
#endif

#ifndef BETWEEN
#define BETWEEN(x,a,b) ((x)>=(a) && (x)<=(b))
#endif

#endif
