/***************************************************************************/
/* 		This code is part of WWW graber called pavuk		   */
/*		Copyright (c) 1997,1998,1999 Ondrejicka Stefan		   */
/*		(ondrej@idata.sk)					   */
/*		Distributed under GPL 2 or later			   */
/***************************************************************************/

#ifndef _authinfo_h_
#define _authinfo_h_

#include "url.h"

typedef struct {
	protocol	prot;
	char		*host;
	int		port;
	char		*user;
	char		*pass;	
	char		*base;
	char		*realm;
	int		type;
} authinfo;

#ifdef NeedFunctionPrototypes
int authinfo_load(char *);
authinfo *authinfo_match_entry(protocol , char * , int , char * , char *);
#else
int authinfo_load();
authinfo *authinfo_match_entry();
#endif

#endif

