/***************************************************************************/
/* 		This code is part of WWW graber called pavuk		   */
/*		Copyright (c) 1997,1998,1999 Ondrejicka Stefan		   */
/*		(ondrej@idata.sk)					   */
/*		Distributed under GPL 2 or later			   */
/***************************************************************************/

#ifndef _dllist_h_
#define _dllist_h_

typedef  struct _dllist dllist;

struct _dllist {
	void 		*data;	
	dllist		*next;
	dllist		*prev;
};


extern dllist *dllist_new_entry(void *);
extern dllist *dllist_append(dllist *, void *);
extern dllist *dllist_prepend(dllist *, void *);
extern dllist *dllist_insert(dllist *, int, void *);
extern dllist *dllist_first(dllist *);
extern dllist *dllist_last(dllist *);
extern dllist *dllist_nth(dllist *, int);
extern dllist *dllist_find(dllist *, void *);
extern unsigned int dllist_count(dllist *);
extern dllist *dllist_remove_entry(dllist *, dllist *);
extern dllist *dllist_remove_data(dllist *, void *);
extern void dllist_free_all(dllist *);
extern dllist *dllist_concat(dllist *, dllist *);

#endif
