/***************************************************************************/
/* 		This code is part of WWW graber called pavuk		   */
/*		Copyright (c) 1997,1998,1999 Ondrejicka Stefan		   */
/*		(ondrej@idata.sk)					   */
/*		Distributed under GPL 2 or later			   */
/***************************************************************************/

#ifndef _html_h_
#define _html_h_

#include "dllist.h"

#if NeedFunctionPrototypes
extern char * get_url_from_tag(char *,char *);
extern dllist *html_get_all_links(doc * , int);
extern void cat_links_to_url_list(dllist *);
extern void relocate_html_doc(doc *);
extern void rewrite_parents_links(url * , char *);
extern void rewrite_one_parent_links(url * , url * , char *);
extern int html_remote_to_local_links(char **,doc *);
#else
extern char * get_url_from_tag();
extern url **html_get_all_links();
extern void cat_links_to_url_list();
extern void relocate_html_doc();
extern void rewrite_parents_links();
extern void rewrite_one_parent_links();
extern int html_remote_to_local_links();
#endif

typedef struct {
	char 	*attrib;
	int	stat;
} html_tag_atrib;

typedef struct {
	char 		*tag;
	html_tag_atrib	attribs[5];
} html_tag;

#define LINK_INLINE	1
#define LINK_DOWNLD	2
#define LINK_REMOVE	4
#define LINK_DISABLED	8
#define LINK_STYLE	16

extern html_tag linky[93];

#endif
